package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.model.SysUploadInfo
import com.gxzc.zen.common.base.BaseService
import com.gxzc.zen.common.dto.ZenFileMetadata
import java.io.File

/**
 * <p>
 * 上传文件信息表 服务类
 * </p>
 *
 * @author NorthLan
 * @since 2018-06-01
 */
interface ISysUploadInfoService : BaseService<SysUploadInfo> {
    fun addUploadFile(fileMetadata: ZenFileMetadata, file: File)
    fun getUploadInfosByBatchId(batchId: String): MutableList<SysUploadInfo>
}
